POST api/Insurances
Creates a new insurance or updates an existent insurance's information.
Request Information
URI Parameters
None.
Body Parameters
InsuranceModel| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyName |
Company name of the insurance (Required). |
string |
None. |
| Active |
Indicates whether the insurance is active or not. |
boolean |
None. |
| InsuranceType |
Type of the insurance (Required). |
string |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Request Formats
application/json, text/json
Sample:
{
"companyName": "sample string 1",
"active": true,
"insuranceType": "sample string 3",
"id": "71a32f01-cad1-4d68-9baf-f2141eaa42fa",
"externalId": "sample string 5"
}
application/xml, text/xml
Sample:
<InsuranceModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Insurances"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">71a32f01-cad1-4d68-9baf-f2141eaa42fa</Id> <Active>true</Active> <CompanyName>sample string 1</CompanyName> <InsuranceType>sample string 3</InsuranceType> </InsuranceModel>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
InsuranceModel| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyName |
Company name of the insurance (Required). |
string |
None. |
| Active |
Indicates whether the insurance is active or not. |
boolean |
None. |
| InsuranceType |
Type of the insurance (Required). |
string |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"companyName": "sample string 1",
"active": true,
"insuranceType": "sample string 3",
"id": "70775a81-5db6-404f-8c8f-b2c27e160210",
"externalId": "sample string 5"
}
application/xml, text/xml
Sample:
<InsuranceModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Insurances"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">70775a81-5db6-404f-8c8f-b2c27e160210</Id> <Active>true</Active> <CompanyName>sample string 1</CompanyName> <InsuranceType>sample string 3</InsuranceType> </InsuranceModel>